Skip to main content
GET
/
catalog
/
marketplace
/
products
List all products
curl --request GET \
  --url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/marketplace/products \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "success": true,
  "content": {
    "products": [
      {
        "id": "<string>",
        "sku": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "short_description": "<string>",
        "active": true,
        "stock_available": true,
        "on_subscription": true,
        "on_promotion": true,
        "has_variant": true,
        "tags": [
          "<string>"
        ],
        "category_ids": [
          "<string>"
        ],
        "categories": [
          {
            "id": "<string>",
            "name": "<string>",
            "slug": "<string>",
            "description": "<string>",
            "parent_category_id": "<string>",
            "product_count": 123,
            "active": true
          }
        ],
        "reviews_rating_sum": 123,
        "reviews_count": 123,
        "attributes": [
          {
            "id": "<string>",
            "name": "<string>",
            "key": "<string>",
            "type": "color",
            "value": [
              {
                "name": "<string>",
                "hexcode": "<string>"
              }
            ]
          }
        ],
        "pricing": {
          "currency": "<string>",
          "tax_type": "GST",
          "tax_rate": 123,
          "price_including_tax": true,
          "listing_price": 123,
          "selling_price": 123,
          "min_order_quantity": 1,
          "max_order_quantity": 123,
          "incremental_quantity": 1,
          "selling_price_excluding_tax": 123
        },
        "variant_options": [
          {
            "name": "<string>",
            "key": "<string>",
            "value": [
              "<string>"
            ]
          }
        ],
        "promotion": {
          "id": "<string>",
          "starts_at": "2023-11-07T05:31:56Z",
          "expires_at": "2023-11-07T05:31:56Z",
          "details": {
            "discount_percent": 123,
            "discount_fixed_amount": 123
          }
        },
        "images": [
          {
            "id": "<string>",
            "title": "<string>",
            "alternate_text": "<string>",
            "sort_order": 123,
            "url_tiny": "<string>",
            "url_thumbnail": "<string>",
            "url_standard": "<string>",
            "url_zoom": "<string>"
          }
        ],
        "subscription": [
          {
            "id": "<string>",
            "subscription_plan": "<string>",
            "subscription_price": 123,
            "billing_interval": 123,
            "billing_limit": 123,
            "fulfill_separately": false,
            "order_interval": 123,
            "order_limit": 123,
            "minimum_quantity": 123,
            "billing_trial_days": 123
          }
        ],
        "variants": [
          {
            "id": "<string>",
            "product_id": "<string>",
            "sku": "<string>",
            "slug": "<string>",
            "name": "<string>",
            "product_name": "<string>",
            "short_description": "<string>",
            "active": true,
            "stock_available": true,
            "on_promotion": true,
            "on_subscription": true,
            "is_default": true,
            "associated_options": {},
            "images": [
              {
                "id": "<string>",
                "title": "<string>",
                "alternate_text": "<string>",
                "sort_order": 123,
                "url_tiny": "<string>",
                "url_thumbnail": "<string>",
                "url_standard": "<string>",
                "url_zoom": "<string>"
              }
            ],
            "videos": [
              {
                "title": "<string>",
                "alternate_text": "<string>",
                "sort_order": 123,
                "video_preview_url": "<string>",
                "video_stream_hls_url": "<string>",
                "video_stream_dash_url": "<string>",
                "image_thumbnail_url": "<string>",
                "video_duration": 123
              }
            ],
            "pricing": {
              "currency": "<string>",
              "tax_type": "GST",
              "tax_rate": 123,
              "price_including_tax": true,
              "listing_price": 123,
              "selling_price": 123,
              "min_order_quantity": 1,
              "max_order_quantity": 123,
              "incremental_quantity": 1,
              "selling_price_excluding_tax": 123
            },
            "subscription": [
              {
                "id": "<string>",
                "subscription_plan": "<string>",
                "subscription_price": 123,
                "billing_interval": 123,
                "billing_limit": 123,
                "fulfill_separately": false,
                "order_interval": 123,
                "order_limit": 123,
                "minimum_quantity": 123,
                "billing_trial_days": 123
              }
            ],
            "promotion": {
              "id": "<string>",
              "starts_at": "2023-11-07T05:31:56Z",
              "expires_at": "2023-11-07T05:31:56Z",
              "details": {
                "discount_percent": 123,
                "discount_fixed_amount": 123
              }
            },
            "backorder": true,
            "inventory": [
              {
                "lot_batch": "<string>",
                "mfg_date": "2023-12-25",
                "exp_date": "2023-12-25",
                "manufacturer": "<string>",
                "stock_quantity": 123
              }
            ]
          }
        ],
        "bundle_items": [
          {
            "quantity": 123,
            "product_id": "<string>",
            "variant_id": "<string>",
            "sku": "<string>",
            "product_slug": "<string>",
            "variant_slug": "<string>",
            "product_name": "<string>",
            "variant_name": "<string>",
            "short_description": "<string>",
            "active": true,
            "stock_available": true,
            "on_subscription": true,
            "on_promotion": true,
            "category_ids": [
              "<string>"
            ],
            "tags": [
              "<string>"
            ],
            "reviews_count": 123,
            "reviews_rating_sum": 123,
            "attributes": [
              {
                "id": "<string>",
                "name": "<string>",
                "key": "<string>",
                "type": "color",
                "value": [
                  {
                    "name": "<string>",
                    "hexcode": "<string>"
                  }
                ]
              }
            ],
            "images": [
              {
                "id": "<string>",
                "title": "<string>",
                "alternate_text": "<string>",
                "sort_order": 123,
                "url_tiny": "<string>",
                "url_thumbnail": "<string>",
                "url_standard": "<string>",
                "url_zoom": "<string>"
              }
            ],
            "pricing": {
              "currency": "<string>",
              "tax_type": "GST",
              "tax_rate": 123,
              "price_including_tax": true,
              "listing_price": 123,
              "selling_price": 123,
              "min_order_quantity": 1,
              "max_order_quantity": 123,
              "incremental_quantity": 1,
              "selling_price_excluding_tax": 123
            },
            "promotion": {
              "id": "<string>",
              "starts_at": "2023-11-07T05:31:56Z",
              "expires_at": "2023-11-07T05:31:56Z",
              "details": {
                "discount_percent": 123,
                "discount_fixed_amount": 123
              }
            },
            "subscription": [
              {
                "id": "<string>",
                "subscription_plan": "<string>",
                "subscription_price": 123,
                "billing_interval": 123,
                "billing_limit": 123,
                "fulfill_separately": false,
                "order_interval": 123,
                "order_limit": 123,
                "minimum_quantity": 123,
                "billing_trial_days": 123
              }
            ],
            "associated_options": {
              "background_color": {
                "name": "Background Color",
                "value": {
                  "name": "Blue",
                  "hexcode": "#0000FF"
                },
                "type": "color"
              },
              "size": {
                "name": "Size",
                "value": "Large",
                "type": "single-select"
              }
            },
            "seller_id": "<string>",
            "seller_detail": {
              "id": "<string>",
              "trade_name": "<string>",
              "legal_name": "<string>",
              "business_type": "<string>",
              "tax_identification_number": "<string>"
            },
            "backorder": true,
            "categories": [
              {
                "id": "<string>",
                "name": "<string>",
                "slug": "<string>",
                "description": "<string>",
                "parent_category_id": "<string>",
                "product_count": 123,
                "active": true
              }
            ],
            "shipping": {
              "handling_charges_including_tax": 123,
              "handling_charges_excluding_tax": 123,
              "tax_type": "<string>",
              "tax_rate": 123
            },
            "inventory": [
              {
                "lot_batch": "<string>",
                "mfg_date": "2023-12-25",
                "exp_date": "2023-12-25",
                "manufacturer": "<string>",
                "stock_quantity": 123
              }
            ]
          }
        ],
        "seller_id": "<string>",
        "seller_detail": {
          "id": "<string>",
          "trade_name": "<string>",
          "legal_name": "<string>",
          "business_type": "<string>",
          "tax_identification_number": "<string>"
        },
        "backorder": true,
        "inventory": [
          {
            "lot_batch": "<string>",
            "mfg_date": "2023-12-25",
            "exp_date": "2023-12-25",
            "manufacturer": "<string>",
            "stock_quantity": 123
          }
        ]
      }
    ],
    "pagination": {
      "total_records": 123,
      "total_pages": 123,
      "limit": 123,
      "next_page": 123,
      "previous_page": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Access token

Headers

x-customer-group-id
string

This param is used to determine product pricing, promotions, and subscription rates. If a valid customer group id is provided, pricing details will be retrieved accordingly. If no matching data is found for the specified customer group id, the system will fall back to the default customer group id. If no data is found for the default group either, the highest applicable price will be returned.

Query Parameters

page
number

page number of pagination list

Required range: x >= 1
limit
integer

Number of results per page.

Required range: 1 <= x <= 100
sort_by
string

JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}

Example:

"{\"country\":\"asc\",\"city\":\"asc\",\"population\":\"desc\"}"

category_id
string[]

filter products by categories ids

category_slug
string[]

filter products by categories slugs

inventory
boolean

Determines whether to include or exlude inventory details in response json

seller_id
string

filter products by seller id

Response

Success response

message
string
required
Example:

"Products retrieved successfully."

success
boolean
required
content
object
required